Bug 215363 - Config Channel's deploy confirm page various problems
Config Channel's deploy confirm page various problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Preethi Thomas
:
Depends On:
Blocks: rhn500h-config-mgmt
  Show dependency treegraph
 
Reported: 2006-11-13 12:42 EST by Ken Ganong
Modified: 2007-04-18 13:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 22:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-11-13 12:42:00 EST
Go to Configuration -> Config Channels -> pick a channel -> Deploy Files ->
choose files -> Hit action button -> choose systems -> Hit action button
Now you should be at the page.

Problems:
1. last and first column css unused on both list displays.
2. the 'No systems' doesn't make sense if the user used the filter.
3. the 'No files' message is unlocalized.
4. In the logs, there is the following message:
ERROR: Message with id: [deploysystems.jsp.deploynowbutton] not found.***
5. The current version column should say 'Revision 1', not just '1'
6. The overridden and outranked columns appear not to be filled out.
7. Should escape html for file path and system name.
8. Should be using images in the file path and system name columns.
9. The page should have some error if there are no systems or files selected.
10. The action to schedule deploy should have some error if there are no systems
or files selected.
11. The message '0 files overridden' shouldn't display if there are zero.
Comment 1 Grant Gainey 2006-11-14 15:17:02 EST
Many changes made and checked in - I think we address all of these now.
Comment 2 Grant Gainey 2006-11-15 10:43:32 EST
Now with whiteners, brighteners, *and* more ON_DEV-ness!
Comment 3 Grant Gainey 2006-12-04 17:00:24 EST
ON_QA, here we come!
Comment 4 Preethi Thomas 2007-01-18 11:26:50 EST
Found some of the above mentione problems are not been fixed.
1. In the systems page, if the filter is used,  " There are no deployable
systems subscribed to this channel" message does not make sense.

2. The message '0 files Outranked' shouldn't display if there are zero.
Comment 5 Grant Gainey 2007-01-19 16:33:18 EST
Fixed the I18N string mentioned above.

#2 wasn't on the confirm-page, it was on the choose-systems page.

Discovered that the SQL for determining outranked/overridden was WRONG.  Fixed
that as well.
Comment 6 Grant Gainey 2007-01-31 09:43:01 EST
Moved from ON_DEV to ON_QA with push #6
Comment 7 Preethi Thomas 2007-01-31 14:18:40 EST
#1 in comment#4 is still not fixed. moving it back to fails QA.
Comment 8 Grant Gainey 2007-02-05 15:56:01 EST
The no-systems string is now more descriptive.  Note that there exists an issue
with -ALL- of the filters in RHN - if you select a set "out of existence", the
filter box goes away as well, and you have re-drill down into the page to get
your list back.  This isn't a cfg-mgt bug, it's a restriction of our
infrastructure that has existed forever, and is unlikely to be addressed for 5.0.
Comment 9 Grant Gainey 2007-02-12 11:06:16 EST
Forgot to move these to ON_QA
Comment 10 Preethi Thomas 2007-02-12 12:33:13 EST
Verified for 5.0. I will open another bug based on the comment#8 as its a more
of a general bug on all the filters.
Comment 11 Preethi Thomas 2007-03-08 08:34:28 EST
verified in stage.
Comment 12 Brandon Perkins 2007-03-12 22:55:33 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.